# System Events

## GET /app/api/v1/system-events/list

> List system events for each trigger run batch

```json
{"openapi":"3.0.3","info":{"title":"Dropzone AI","version":"0.1.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"in":"header","name":"Authorization","type":"apiKey"}}},"paths":{"/app/api/v1/system-events/list":{"get":{"description":"List system events for each trigger run batch","operationId":"system_events_list_retrieve","parameters":[{"description":"Filter by event date from (ISO format)","in":"query","name":"event_from","schema":{"type":"string"}},{"description":"Filter by event name","in":"query","name":"event_name","schema":{"type":"string"}},{"description":"Filter by event date until (ISO format)","in":"query","name":"event_until","schema":{"type":"string"}},{"description":"Filter by integration slug","in":"query","name":"integration_slug","schema":{"type":"string"}},{"description":"Filter by investigation ID","in":"query","name":"investigation_id","schema":{"type":"integer"}},{"description":"Number of results per page","in":"query","name":"limit","schema":{"type":"integer"}},{"description":"Number of results to skip","in":"query","name":"offset","schema":{"type":"integer"}},{"description":"Search in trigger arguments","in":"query","name":"search","schema":{"type":"string"}},{"description":"Filter by user ID","in":"query","name":"user_id","schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"count":{"type":"integer"},"results":{"items":{"properties":{"enriched_context":{"type":"object"},"enriched_context_date":{"type":"string"},"event_date":{"type":"string"},"event_name":{"type":"string"},"id":{"type":"integer"},"original_metadata":{"type":"object"}},"type":"object"},"type":"array"}},"type":"object"}}},"description":"System events list"},"400":{"content":{"application/json":{"schema":{"properties":{"error_msg":{"type":"string"}},"type":"object"}}},"description":"Bad request - invalid input"},"401":{"content":{"application/json":{"schema":{"properties":{"error_msg":{"type":"string"}},"type":"object"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"properties":{"detail":{"type":"string"}},"type":"object"}}},"description":"Access denied"},"500":{"content":{"application/json":{"schema":{"properties":{"error_msg":{"type":"string"}},"type":"object"}}},"description":"System error"},"503":{"content":{"application/json":{"schema":{"properties":{"error_msg":{"type":"string"}},"type":"object"}}},"description":"System not ready for requests"}},"tags":["system-events"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dropzone.ai/api/system-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
